%global srcname pluginbase
%global sum A support library for building plugins systems

Name:           python-%{srcname}
Version:        0.5
Release:        2%{?dist}
Summary:        %{sum}

License:        BSD
URL:            https://github.com/mitsuhiko/pluginbase
Source0:        https://files.pythonhosted.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python3-devel
BuildRequires:  python2-pytest
BuildRequires:  python3-pytest

%description
PluginBase is a module for Python that enables the development of flexible
plugin systems in Python.

%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
PluginBase is a module for Python that enables the development of flexible
plugin systems in Python.

%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
PluginBase is a module for Python that enables the development of flexible
plugin systems in Python.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
pushd tests
PYTHONPATH=.. py.test
popd
pushd tests
PYTHONPATH=.. py.test-3
popd

%files -n python2-%{srcname}
%license LICENSE
%doc README
%{python2_sitelib}/%{srcname}.*
%{python2_sitelib}/%{srcname}*.egg-info/

%files -n python3-%{srcname}
%license LICENSE
%doc README
%{python3_sitelib}/%{srcname}.*
%{python3_sitelib}/%{srcname}*.egg-info/
%{python3_sitelib}/__pycache__/*

%changelog
* Tue Nov 15 2016 Fabian Affolter <mail@fabian-affolter.ch> - 0.5-2
- Execute tests
- Fix ownership of cache

* Mon Nov 14 2016 Fabian Affolter <mail@fabian-affolter.ch> - 0.5-1
- Initial version
